import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { ActivatedRoute, Router } from '@angular/router';
import { HeaderFilter } from '../../interfaces/layout-builder.interface';
import { StoreBuilderService } from '../../services/store-builder.service';
import { NgbModal, NgbOffcanvas } from '@ng-bootstrap/ng-bootstrap';
import { ToastService } from 'tango-app-ui-shared';
import * as i0 from "@angular/core";
export declare class LayoutSummaryComponent implements OnInit, AfterViewInit, OnDestroy {
    private route;
    private apiService;
    private modalService;
    private offcanvasService;
    private router;
    private modalDef;
    private toastService;
    floorsInput: FormControl<any>;
    canvasRef: ElementRef<HTMLCanvasElement>;
    scrollContainerRef: ElementRef;
    completeLayout: ElementRef;
    gridWidth: number;
    gridHeight: number;
    private ctx;
    private canvas;
    layoutPolygon: any[];
    private scale;
    private destroy$;
    headerData: HeaderFilter | null | undefined;
    planoStoreList: any[];
    selectedStore: any;
    selectedFloor: any;
    wallCapacity: number;
    facadeCapacity: number;
    floorCapacity: number;
    floorSelect: {
        show: boolean;
        deleteIndex: number | null;
    };
    markAsCompleteType: 'single' | 'multiple';
    itemsPerPage: number;
    currentPage: number;
    totalItems: number;
    paginationSizes: number[];
    pageSize: number;
    pixelPerMetre: number;
    onFloorSelect(floorId: string): void;
    onOutsideClick(event: MouseEvent): void;
    toggleFloorSelect(): void;
    constructor(route: ActivatedRoute, apiService: StoreBuilderService, modalService: NgbModal, offcanvasService: NgbOffcanvas, router: Router, modalDef: NgbModal, toastService: ToastService);
    ngAfterViewInit(): void;
    initializeLayout(): void;
    ngOnInit(): void;
    ngOnDestroy(): void;
    onStoreChange(event: any): void;
    getPlanoData(planoId: string[]): void;
    updateFloorLayout(): void;
    onComplete(): void;
    drawGrid(): void;
    drawPolygon(polygon?: any[]): void;
    zoomIn(): void;
    zoomOut(): void;
    redrawCanvas(): void;
    snapToGrid(value: number, gridSize: number): number;
    rotatePolygons(): void;
    convertToPixels(value: number, unit: 'ft' | 'm'): number;
    scrollToCanvasPosition(coordinates: {
        x: number;
        y: number;
    }): void;
    calculatePolygonArea(elements: any[]): number;
    generateLayoutPolygon(layoutInstructions: any): void;
    isFloorCompleted(layoutInstructions: any, thresholdInFeet?: number): boolean;
    openWidget(position: {
        x: number;
        y: number;
    }, offset?: {
        up: number;
        right: number;
        down: number;
        left: number;
    }): void;
    openOffCanva(): void;
    onModalSelectAll(event: any): void;
    get isAllStoreSelected(): boolean;
    onModalTypeChange(event: 'single' | 'multiple'): void;
    updatePlanoStatus(): void;
    onPageChange(val: number): void;
    normalizedPixelPerMetre(polygon: any): number;
    findPolygonCenterAndScroll(polygon?: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LayoutSummaryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LayoutSummaryComponent, "lib-layout-summary", never, {}, {}, never, never, false, never>;
}
