import { OnDestroy, OnInit, ElementRef } from '@angular/core';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import { GlobalStateService, PageInfoService } from 'tango-app-ui-global';
import { ToastService } from 'tango-app-ui-shared';
import { StoreBuilderService } from '../../services/store-builder.service';
import { Router } from '@angular/router';
import * as i0 from "@angular/core";
export declare class StoreLayoutTableComponent implements OnInit, OnDestroy {
    private modalDef;
    private pageInfo;
    private toast;
    private gs;
    private builderService;
    private Router;
    fileInput: ElementRef;
    loading: boolean;
    selectedTab: string;
    floorNo: number;
    searchStore: string;
    storeList: any[];
    store: any[];
    paginationSizes: any;
    selectedStore: any;
    showDropDown: boolean;
    totalItems: number;
    dynamicData: any;
    layoutList: any;
    pageSize: any;
    dataObject: any;
    error: any;
    excelData: any;
    showNoData: boolean;
    private destroy$;
    private scale;
    gridWidth: number;
    gridHeight: number;
    pixelSize: any;
    createBuilder: any;
    uploadBuilder: any;
    constructor(modalDef: NgbModal, pageInfo: PageInfoService, toast: ToastService, gs: GlobalStateService, builderService: StoreBuilderService, Router: Router);
    ngOnInit(): void;
    ngOnDestroy(): void;
    setPageData(): void;
    getLayoutList(): void;
    getStoreList(): void;
    applyFilters(event: any): void;
    BuilderCreate(): void;
    floorDec(): void;
    floorInc(): void;
    filterSearch(): void;
    updateSelectedStore(index: number): void;
    closeDropDown(): void;
    toggleDropDown(): void;
    createLayout(): void;
    onPageChange(event: any): void;
    onPageSizeChange(event: any): void;
    search(): void;
    onSort(data: any): void;
    getHeadersFromSheet(sheet: any): string[];
    onFileUpload(event: any): void;
    Reupload(): void;
    showDeleteDropDown(i: any): void;
    deleteLayout(id: any): void;
    normalizedPixelPerMetre(polygon: any): number;
    convertToPixels(value: number, unit: 'ft' | 'm'): number;
    snapToGrid(value: number, gridSize: number): number;
    download(data: any): void;
    onExportAsZip(store: String, data: any): Promise<void>;
    onOutsideClick(event: MouseEvent): void;
    clickOutside(event: MouseEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StoreLayoutTableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StoreLayoutTableComponent, "lib-store-layout-table", never, {}, {}, never, never, false, never>;
}
